package com.wtkj.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-09-19 09:50
 * @describe
 */
@Data
public class ProjectTaskPageDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@NotNull(message = "projectId can't be null")
	private Long projectId;

	private String name;

	private Long orgDeptId;

	private Integer taskStatus;

	@NotNull(message = "current can't be null")
	private Integer current;

	@NotNull(message = "size can't be null")
	private Integer size;

}
